Core - Bug # 36405

Status: Resolved Priority: Should have
Author: Susanne Moog Category:

Created: 2012-04-21 Assigned To: Ingmar Schlecht
Updated: 2013-03-22 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: usage of deprecated function returnFilemounts()

Description
There is still the use of a deprecated function left (in init.php):
21-04-12 11:46: t3lib_userAuthGroup->returnFilemounts() - since TYPOS 6.0, will be removed in TYPOS 6.1 as getFileStorages()

should be the one to be used - require(e/typo3/init.php),e/typo3/sysext/cms/layout/db_layout.php#41 //
t3lib_userAuthGroup->returnFilemounts#423 // t3lib_div::logDeprecatedFunction#1677 (e/t3lib/class.t3lib_userauthgroup.php#1676)

Related issues:

related to Core - Bug # 45884: Deprecated addFileMount() still used in Core Closed 2013-02-27
related to Core - Task # 41271: Deprecated function used: returnFilemountsy) ... Closed 2012-09-22
History

#1 - 2012-04-30 16:08 - Ingmar Schlecht
- Target version set to 6.0 final

#2 - 2012-05-04 10:08 - Ingmar Schlecht
- Assigned To set to Ingmar Schlecht

#3 - 2013-02-27 13:06 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18513

#4 - 2013-03-19 21:33 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/19069

#5 - 2013-03-20 15:03 - Chris topher

Has been committed in 6.0 and master.

#6 - 2013-03-22 08:44 - Christian Kuhn
- Project changed from File Abstraction Layer to Core
- Target version deleted (6.0 final)

2015-08-04 1/2



https://review.typo3.org/18513
https://review.typo3.org/19069

#7 - 2013-03-22 08:44 - Christian Kuhn
- Status changed from New to Resolved
- % Done changed from 0 to 100

- TYPO3 Version set to 6.0
